<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>TLC Curiculum Course</title>
</head>
<body>
<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
<!--        <form method="get">-->
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">TLC Curiculum Course List</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <a data-toggle="modal" data-target="#modal-kurikulumtlc" name="tambah" type="button" class="btn btn-info">
                            + Curiculum</a>
                    </div>
                    <div class="modal fade" id="modal-kurikulumtlc">
                        <div class="modal-dialog">
                            <form th:action="@{/setting/curiculum_tlc/save}" th:object="${kurikulumTlc}" method="post">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Form Curiculum TLC</h4>
                                    </div>
                                    <div class="modal-body">
                                        <div class="form-group">
                                            <label>Kode Kurikulum</label>
                                            <input type="text" class="form-control" th:field="*{kodeKurikulum}" name="kodeKurikulum" placeholder="Kode Kelas ...">
                                        </div>

                                        <div class="form-group">
                                            <label>Nama Kurikulum</label>
                                            <input type="text" class="form-control" th:field="*{namaKurikulum}" name="namaKurikulum" placeholder="Nama Kelas ...">
                                        </div>

                                        <div class="form-group">
                                            <label>keterangan</label>
                                            <textarea class="form-control" th:field="*{keterangan}" name="keterangan" placeholder="Nama Kelas ..."></textarea>
                                        </div>

                                        <input type="hidden" name="id" th:field="*{id}">
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default pull-left"
                                                data-dismiss="modal">Close
                                        </button>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <form method="get">
                    <div class="row">
                        <div class="col-md-6">
                            <div class="col-md-12">
                                <select class="form-control select2" name="kurikulumTlc" id="kurikulumTlc" style="width: 100%;">
                                    <!--                                    <option value="">Pilih Angkatan</option>-->
                                    <option th:each="data : ${listKurikulumTlc}"
                                            th:selected="(${data} == *{selectedKurikulumTlc})"
                                            th:text="${data.getNamaKurikulum()}"
                                            th:value="${data.getId()}">Angkatan
                                    </option>
                                </select>
                            </div>
                        </div>

                        <div class="col-md-3" align="right">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <button type="submit" class="btn btn-primary">Proses</button>
                            </div>
                        </div>


                        <div class="col-md-3" align="right">
                            <div class="input-group input-group-sm" style="width: 150px;">
                                <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                                <div class="input-group-btn">
                                    <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
<!--        </form>-->

<!--        <div class="callout callout-success" th:if="${selectedKurikulumTlc != null}">-->
<!--            <p th:text="${'List Kurikulum : ' + selectedKurikulumTlc.getKodeKurikulum() + ' - '+ selectedKurikulumTlc.getNamaKurikulum()}">Data Berhasil Disimpan.</p>-->
<!--        </div>-->

        <table class="table table-bordered">
            <tr>
                <td th:text="${'List Kurikulum : ' + selectedKurikulumTlc.getKodeKurikulum() + ' - '+ selectedKurikulumTlc.getNamaKurikulum()}">Kurikulum :</td>
                <td>
                    <a data-toggle="modal" data-target="#modal-matakuliah" name="matakuliah" type="button" class="btn btn-primary btn-xs pull-right">+ Subject</a>

                    <div class="modal fade" id="modal-matakuliah">
                        <div class="modal-dialog">
                            <form th:action="@{/setting/tlc_curiculum/course/save (kurikulumTlc=${selectedKurikulumTlc.getId()})}" th:object="${matakuliahKurikulumTlc}" method="post">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Form Curiculum TLC</h4>
                                    </div>
                                    <div class="modal-body">

                                        <div class="form-group">
                                            <label>Subject</label>
                                            <select class="form-control select2" name="matakuliahTlc" id="matakuliahTlc" th:field = "*{matakuliahTlc}" style="width: 100%;">
                                                <!--                                    <option value="">Pilih Angkatan</option>-->
                                                <option th:each="data : ${listMatakuliahTlc}"
                                                        th:text="${data.getKodeMatakuliah() + ' - ' + data.getNamaMatakuliah()}"
                                                        th:value="${data.getId()}">Angkatan
                                                </option>
                                            </select>
                                        </div>

                                        <div class="form-group">
                                            <label>Semester</label>
                                            <select class="form-control select2" name="semester" id="semester" th:field = "*{semester}" style="width: 100%;">
                                                <!--                                    <option value="">Pilih Angkatan</option>-->
                                                <option value="1">Semester 1</option>
                                                <option value="2">Semester 2</option>
                                                <option value="3">Semester 3</option>
                                                <option value="4">Semester 4</option>
                                                <option value="5">Semester 5</option>
                                                <option value="6">Semester 6</option>
                                                <option value="7">Semester 7</option>
                                                <option value="8">Semester 8</option>
                                            </select>
                                        </div>

<!--                                        <input type="hidden" name="kurikulumTlc" th:value="${selectedKurikulumTlc.getId()}">-->
                                        <input type="hidden" name="id" th:field="*{id}">
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default pull-left"
                                                data-dismiss="modal">Close
                                        </button>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </td>
            </tr>
        </table>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <tr>
                    <th style="width: 10px">No</th>
                    <th>Semester</th>
                    <th>Code</th>
                    <th>Course</th>
                    <th>Option</th>
                </tr>

                <tr th:each="dataMatakuliahKurikulumTlc, row : ${listMatakuliahKurikulumTlc}">
                    <td th:text="${(row.index + 1)}">1.</td>
                    <td th:text="${dataMatakuliahKurikulumTlc.getSemester()}">01</td>
                    <td th:text="${dataMatakuliahKurikulumTlc.getMatakuliahTlc().getKodeMatakuliah()}">IA07</td>
                    <td th:text="${dataMatakuliahKurikulumTlc.getMatakuliahTlc().getNamaMatakuliah()}">5</td>
                    <td>
                        <a data-toggle="modal" th:attr="data-target=${'#modal-editmatakuliah'+dataMatakuliahKurikulumTlc.id}" name="editmatakuliah" type="button" class="btn btn-success btn-xs">Edit</a>
                        <div class="modal fade" th:attr="id=${'modal-editmatakuliah' + dataMatakuliahKurikulumTlc.id}">
                            <div class="modal-dialog">
                                <form th:action="@{/setting/tlc_curiculum/course/save (kurikulumTlc=${selectedKurikulumTlc.getId()})}"  method="post">
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                <span aria-hidden="true">&times;</span></button>
                                            <h4 class="modal-title">Form Curiculum TLC</h4>
                                        </div>
                                        <div class="modal-body">
                                            <div class="form-group">
                                                <label>Subject</label>
                                                <select class="form-control select2" name="matakuliahTlc" style="width: 100%;">
                                                    <!--                                    <option value="">Pilih Angkatan</option>-->
                                                    <option th:value="${dataMatakuliahKurikulumTlc.getMatakuliahTlc().getId()}"
                                                            th:text="${dataMatakuliahKurikulumTlc.getMatakuliahTlc().getKodeMatakuliah() + ' - ' + dataMatakuliahKurikulumTlc.getMatakuliahTlc().getNamaMatakuliah()}">
                                                    </option>
                                                    <option th:each="data : ${listMatakuliahTlc}"
                                                            th:text="${data.getKodeMatakuliah() + ' - ' + data.getNamaMatakuliah()}"
                                                            th:value="${data.getId()}">Angkatan
                                                    </option>
                                                </select>
                                            </div>

                                            <div class="form-group">
                                                <label>Semester</label>
                                                <select class="form-control select2" name="semester" style="width: 100%;">
                                                    <!--                                    <option value="">Pilih Angkatan</option>-->
                                                    <option th:value="${dataMatakuliahKurikulumTlc.getSemester()}"
                                                            th:text="${'Semester '+ dataMatakuliahKurikulumTlc.getSemester()}">
                                                    </option>
                                                    <option value="1">Semester 1</option>
                                                    <option value="2">Semester 2</option>
                                                    <option value="3">Semester 3</option>
                                                    <option value="4">Semester 4</option>
                                                    <option value="5">Semester 5</option>
                                                    <option value="6">Semester 6</option>
                                                    <option value="7">Semester 7</option>
                                                    <option value="8">Semester 8</option>
                                                </select>
                                            </div>

                                            <input type="text" name="kurikulumTlc" th:value="${selectedKurikulumTlc.getId()}">
                                            <input type="text" name="id" th:value="${dataMatakuliahKurikulumTlc.id}">
                                        </div>
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default pull-left"
                                                    data-dismiss="modal">Close
                                            </button>
                                            <button type="submit" class="btn btn-primary">Save changes</button>
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </td>
                </tr>

            </table>
        </div>

        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>

</body>
</html>